import type { _NSObject } from "../Foundation/NSObject.js";
import type { NSViewLayoutRegionAdaptivityAxis } from "./NSViewLayoutRegionAdaptivityAxis.js";
export declare class _NSViewLayoutRegion extends _NSObject {
    static alloc(): _NSViewLayoutRegion;
    static new(): _NSViewLayoutRegion;
    init(): _NSViewLayoutRegion;
    static safeAreaLayoutRegionWithCornerAdaptation$(adaptivityAxis: NSViewLayoutRegionAdaptivityAxis): _NSViewLayoutRegion;
    static marginsLayoutRegionWithCornerAdaptation$(adaptivityAxis: NSViewLayoutRegionAdaptivityAxis): _NSViewLayoutRegion;
}
